--- mpi-specs-20040719.orig/debian/docs
+++ mpi-specs-20040719/debian/docs
@@ -0,0 +1 @@
+errata-20-2.pdf
--- mpi-specs-20040719.orig/debian/control
+++ mpi-specs-20040719/debian/control
@@ -0,0 +1,16 @@
+Source: mpi-specs
+Section: non-free/doc
+Priority: optional
+Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
+Build-Depends-Indep: debhelper (>> 3.0.0)
+Standards-Version: 3.6.1
+
+Package: mpi-specs
+Architecture: all
+Recommends: w3m|www-browser, xpdf-reader|pdf-viewer
+Description: [EBOOK-DEV] MPI 1.1 and 2.0 Specifications of MPI Forum
+ This packages includes the MPI Forum documents which covers 1.1 and 2.0
+ specifications of the Message Passing Interface. Documents are all in HTML
+ format.
+ .
+ Latest copy of the official errata document in PDF format is also enclosed.
--- mpi-specs-20040719.orig/debian/rules
+++ mpi-specs-20040719/debian/rules
@@ -0,0 +1,74 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This is the debhelper compatability version to use.
+export DH_COMPAT=3
+
+P=mpi-specs
+R=debian/$(P)
+MYDIRS= $(R) \
+ $(R)/usr \
+ $(R)/usr/share/doc/$(P) \
+ $(R)/usr/share/doc/$(P)/mpi-11-html \
+ $(R)/usr/share/doc/$(P)/mpi-20-html
+
+$(MYDIRS):
+ install -d -g root -o root -m 755 $@
+ chmod g-s $@
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ touch configure-stamp
+
+build: configure-stamp build-stamp
+build-stamp:
+ dh_testdir
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ dh_clean
+
+# Build architecture-independent files here.
+binary-arch: $(MYDIRS) build
+
+# Build architecture-dependent files here.
+binary-indep: $(MYDIRS) build
+ dh_testdir
+ dh_testroot
+
+ tar xvz -C $(R)/usr/share/doc/$(P) -f mpi-11-html.tar.gz
+ tar xvz -C $(R)/usr/share/doc/$(P) -f mpi-20-html.tar.gz
+
+ cp debian/dhelp $(R)/usr/share/doc/$(P)/.dhelp
+
+ chmod a+x $(shell pwd)/debian/fixlinks && \
+ cd $(R)/usr/share/doc/$(P) && \
+ find . -name "*.htm*" | xargs $(shell pwd)/debian/fixlinks
+
+ # a dirty hack ...
+
+ cd $(R)/usr/share/doc/$(P)/mpi-20-html && ln node306.htm node306.html
+
+ dh_installdirs
+ dh_installdocs
+ dh_installchangelogs
+ dh_compress -X.jpg -X.gif -X.xbm -X.html -X.htm
+ dh_link
+ dh_fixperms
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary configure
--- mpi-specs-20040719.orig/debian/dhelp
+++ mpi-specs-20040719/debian/dhelp
@@ -0,0 +1,31 @@
+<item>
+<directory>development/mpi
+<filename>mpi-11-html/mpi-report.html
+<linkname>MPI: A Message-Passing Interface Standard
+<description>
+The goal of the Message Passing Interface, simply stated, is to develop
+a widely used standard for writing message-passing programs. As such the
+interface should establish a practical, portable, efficient, and
+flexible standard for message passing.
+Beginning in March, 1995, the Message Passing Interface Forum reconvened
+to correct errors and make clarifications in the MPI document of May 5,
+1994, referred to below as Version 1.0. These discussions resulted in
+Version 1.1, which is this document.
+</description>
+</item>
+
+<item>
+<directory>development/mpi
+<filename>mpi-20-html/mpi2-report.html
+<linkname>MPI-2: Extensions to the Message-Passing Interface
+<description>
+This document describes the MPI-1.2 and MPI-2 standards. They are both
+extensions to the MPI-1.1 standard. The MPI-1.2 part of the document
+contains clarifications and corrections to the MPI-1.1 standard and
+defines MPI-1.2. The MPI-2 part of the document describes additions to
+the MPI-1 standard and defines MPI-2. These include miscellaneous
+topics, process creation and management, one-sided communications,
+extended collective operations, external interfaces, I/O, and additional
+language bindings.
+</description>
+</item>
--- mpi-specs-20040719.orig/debian/prerm
+++ mpi-specs-20040719/debian/prerm
@@ -0,0 +1,41 @@
+#! /bin/sh
+# prerm script for mpi-specs
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ if [ -x /usr/sbin/dhelp_parse ]; then
+ /usr/sbin/dhelp_parse -d /usr/share/doc/mpi-specs
+ fi
+ ;;
+ failed-upgrade)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mpi-specs-20040719.orig/debian/changelog
+++ mpi-specs-20040719/debian/changelog
@@ -0,0 +1,40 @@
+mpi-specs (20040719-2) unstable; urgency=high
+
+ * Damn it, now truly fixing x attribute for fixlinks also by rules.
+ (closes: #260011)
+ * Urgency set to high to enter sarge with a buildable pkg.
+
+ -- Francesco Paolo Lovergine <frankie@debian.org> Thu, 19 Aug 2004 15:13:27 +0200
+
+mpi-specs (20040719-1) unstable; urgency=low
+
+ * For unknown reason fixlinks missed x mod in the last upload.
+ Now fixed. (closes: #260011)
+ * Policy updated to 3.6.1. No changes.
+ * Added w3m as explicit www-browser recommendation.
+ * Added xpdf-reader as explicit pdf-viewer recommendation.
+ * Orig tar ball regeneratred to include properly the errata pdf.
+ * Removed th (s) in Author entry of copyright file.
+
+ -- Francesco Paolo Lovergine <frankie@debian.org> Mon, 19 Jul 2004 10:30:52 +0200
+
+mpi-specs (20011010-2) unstable; urgency=low
+
+ * Rebuilt to remove /usr/doc symlink
+ * Updated policy to 3.5.8
+ * Added a recommends entry for www-browser and pdf-viewer
+ * Added MPI 2 errata doc (in PDF format)
+ * Changed Description in control file
+
+ -- Francesco Paolo Lovergine <frankie@debian.org> Tue, 31 Dec 2002 12:00:14 +0100
+
+mpi-specs (20011010-1) unstable; urgency=low
+
+ * Initial Release.
+ (closes #78019)
+
+ -- Francesco Paolo Lovergine <frankie@debian.org> Thu, 11 Oct 2001 11:03:49 +0200
+
+Local variables:
+mode: debian-changelog
+End:
--- mpi-specs-20040719.orig/debian/postinst
+++ mpi-specs-20040719/debian/postinst
@@ -0,0 +1,53 @@
+#! /bin/sh
+# postinst script for mpi-specs
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+ if [ ! -e /usr/share/doc/mpi-specs/.dhelp ]; then
+ cp debian/dhelp /usr/share/doc/mpi-specs/.dhelp
+ fi
+ if [ -x /usr/sbin/dhelp_parse ]; then
+ /usr/sbin/dhelp_parse -a /usr/share/doc/mpi-specs
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mpi-specs-20040719.orig/debian/fixlinks
+++ mpi-specs-20040719/debian/fixlinks
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+for i in "$@" ; do
+ sed -e "s|http://www.mpi-forum.org/docs|/usr/share/doc/mpi-specs|" \
+ "$i" > "$i.tmp"
+ touch -r "$i" "$i.tmp"
+ mv "$i.tmp" "$i"
+done
+
+
--- mpi-specs-20040719.orig/debian/README.Debian
+++ mpi-specs-20040719/debian/README.Debian
@@ -0,0 +1,24 @@
+MPI Specifications for Debian
+-----------------------------
+
+This package contains MPI Forum specifications (in HTML) for the Message Passing
+Interface. It covers MPI-1.1 and MPI-2.0 standards.
+
+The MPI-1.0 document has been superseded by MPI-1.1 (and later versions).
+Original documents are available at www.mpi-forum.org/docs in HTML
+sources with also PS and compressed PS versions.
+
+In several cases, a translation or HTML version is also available for
+convenience. The HTML version was made with automated tools. In case of
+a difference between these two sources, the postscript version of MPI
+standard documents are always considered the official version.
+
+Those who prefer to get the documents via anonymous ftp may do so at
+ftp.mpi-forum.org in pub/docs/.
+
+Some translations of MPI documents are available but not enclosed.
+
+MPI Forum issued also an _official_ errata integration to 2.0 standard, which
+is added to documentation in PDF format.
+
+ -- Francesco Paolo Lovergine <frankie@debian.org>, Thu, 11 Oct 2001 10:58:11 +0200
--- mpi-specs-20040719.orig/debian/copyright
+++ mpi-specs-20040719/debian/copyright
@@ -0,0 +1,14 @@
+This package was debianized by Francesco Paolo Lovergine <frankie@debian.org> on
+Thu, 11 Oct 2001 10:58:11 +0200.
+
+It was downloaded from http://www.mpi-forum.org/docs/docs.html
+
+Upstream Authors: Message Passing Interface Forum
+
+Copyright:
+
+(c) 1995, 1996, 1997 University of Tennessee, Knoxville, Tennessee.
+Permission to copy without fee all or part of this material is granted,
+provided the University of Tennessee copyright notice and the title of
+this document appear, and notice is given that copying is by permission
+of the University of Tennessee.